
set( lardata_VERSION 08.15.10 )
set( lardata_UPS_VERSION v08_15_10 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( nusimdata  )
find_ups_product( canvas  )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( dk2nudata  )
find_ups_root(  )
find_ups_product( larcoreobj  )
find_ups_product( larcorealg  )
find_ups_product( lardataobj  )
find_ups_product( lardataalg  )
find_ups_product( larcore  )
find_ups_product( art  )
find_ups_product( art_root_io  )
find_ups_product( canvas_root_io  )
find_ups_product( postgresql  )
find_ups_product( fftw  )
  cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
set(LARDATA_UTILITIES "$ENV{LARDATA_LIB}/liblardata_Utilities.dylib")
set(LARDATA_UTILITIES_DATABASEUTIL_SERVICE "$ENV{LARDATA_LIB}/liblardata_Utilities_DatabaseUtil_service.dylib")
set(LARDATA_UTILITIES_LARPROPERTIESSERVICEARGONEUT_SERVICE "$ENV{LARDATA_LIB}/liblardata_Utilities_LArPropertiesServiceArgoNeuT_service.dylib")
set(LARDATA_UTILITIES_DETECTORPROPERTIESSERVICEARGONEUT_SERVICE "$ENV{LARDATA_LIB}/liblardata_Utilities_DetectorPropertiesServiceArgoNeuT_service.dylib")
set(LARDATA_UTILITIES_LARFFT_SERVICE "$ENV{LARDATA_LIB}/liblardata_Utilities_LArFFT_service.dylib")
set(LARDATA_UTILITIES_COMPUTEPI_MODULE "$ENV{LARDATA_LIB}/liblardata_Utilities_ComputePi_module.dylib")
set(LARDATA_RECOOBJECTS "$ENV{LARDATA_LIB}/liblardata_RecoObjects.dylib")
set(LARDATA_ARTDATAHELPER "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPRAWDIGITS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpRawDigits_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPOPDETWAVEFORMS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpOpDetWaveforms_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPWIRES_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpWires_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPHITS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpHits_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPCLUSTERS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpClusters_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPSEEDS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpSeeds_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPPCAXES_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpPCAxes_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPPFPARTICLES_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpPFParticles_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPSPACEPOINTS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpSpacePoints_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPCHARGEDSPACEPOINTS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpChargedSpacePoints_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPTRACKS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpTracks_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPVERTICES_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpVertices_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPSIMPHOTONSLITE_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpSimPhotonsLite_module.dylib")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPSIMENERGYDEPOSITS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpSimEnergyDeposits_module.dylib")
set(LARDATA_RAWDATA_UTILS "$ENV{LARDATA_LIB}/liblardata_RawData_utils.dylib")
set(LARDATA_RAWDATA_UTILS_LARRAWINPUTSOURCE_SOURCE "$ENV{LARDATA_LIB}/liblardata_RawData_utils_LArRawInputSource_source.dylib")
set(LARDATA_DETECTORINFOSERVICES_DETECTORCLOCKSSERVICESTANDARD_SERVICE "$ENV{LARDATA_LIB}/liblardata_DetectorInfoServices_DetectorClocksServiceStandard_service.dylib")
set(LARDATA_DETECTORINFOSERVICES_DETECTORPROPERTIESSERVICESTANDARD_SERVICE "$ENV{LARDATA_LIB}/liblardata_DetectorInfoServices_DetectorPropertiesServiceStandard_service.dylib")
set(LARDATA_DETECTORINFOSERVICES_LARPROPERTIESSERVICESTANDARD_SERVICE "$ENV{LARDATA_LIB}/liblardata_DetectorInfoServices_LArPropertiesServiceStandard_service.dylib")
set(LARDATA_RECOBASEPROXY "$ENV{LARDATA_LIB}/liblardata_RecoBaseProxy.dylib")
set(TEST_UTILITIES_TESTASSNSCHAINUTILS_ASSNSCHAINTEST_MODULE "$ENV{LARDATA_LIB}/libtest_Utilities_testAssnsChainUtils_AssnsChainTest_module.dylib")
set(TEST_DETECTORINFOSERVICES_LARPROPTEST_MODULE "$ENV{LARDATA_LIB}/libtest_DetectorInfoServices_LArPropTest_module.dylib")
set(TEST_DETECTORINFOSERVICES_SERVICEPACKTEST_MODULE "$ENV{LARDATA_LIB}/libtest_DetectorInfoServices_ServicePackTest_module.dylib")
set(TEST_ARTDATAHELPER_HITCOLLECTIONCREATORTEST_MODULE "$ENV{LARDATA_LIB}/libtest_ArtDataHelper_HitCollectionCreatorTest_module.dylib")
set(TEST_ARTDATAHELPER_HITDATAPRODUCTCHECKER_MODULE "$ENV{LARDATA_LIB}/libtest_ArtDataHelper_HitDataProductChecker_module.dylib")
set(TEST_RECOBASEPROXY_PROXYBASETEST_MODULE "$ENV{LARDATA_LIB}/libtest_RecoBaseProxy_ProxyBaseTest_module.dylib")
set(TEST_RECOBASEPROXY_TRACKPROXYTEST_MODULE "$ENV{LARDATA_LIB}/libtest_RecoBaseProxy_TrackProxyTest_module.dylib")
set(TEST_RECOBASEPROXY_TRACKPROXYHITMAKER_MODULE "$ENV{LARDATA_LIB}/libtest_RecoBaseProxy_TrackProxyHitMaker_module.dylib")
set(TEST_RECOBASEPROXY_TRACKPROXYTRACKMAKER_MODULE "$ENV{LARDATA_LIB}/libtest_RecoBaseProxy_TrackProxyTrackMaker_module.dylib")
set(TEST_RECOBASEPROXY_CHARGEDSPACEPOINTPROXYTEST_MODULE "$ENV{LARDATA_LIB}/libtest_RecoBaseProxy_ChargedSpacePointProxyTest_module.dylib")
set(TEST_RECOBASEPROXY_CHARGEDSPACEPOINTPROXYINPUTMAKER_MODULE "$ENV{LARDATA_LIB}/libtest_RecoBaseProxy_ChargedSpacePointProxyInputMaker_module.dylib")
  include_directories ( "$ENV{LARDATA_INC}" )

check_required_components(lardata)

